Skip to main content
POST
/
v2
/
presentations
Create a pending presentation.
curl --request POST \
  --url https://test.didxtech.com/me-wallet/api/v2/presentations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "presentationRequest": "<string>"
}
'
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "tenantId": "987fcdeb-51a2-43f8-b456-142789abcdef",
    "status": "pending",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "selectedCredentials": [
      {
        "credentialId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "matchedAttributes": [
          "<string>"
        ]
      }
    ]
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "related": "<string>"
  },
  "meta": {},
  "errors": [
    {
      "detail": "<string>",
      "id": "<string>",
      "status": "<string>",
      "code": "<string>",
      "title": "<string>",
      "source": {
        "pointer": "<string>",
        "parameter": "<string>"
      },
      "meta": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
presentationRequest
string
required

Incoming presentation request

Response

201 - application/json

Created presentation.

data
object
required
meta
object
errors
object[]